Skip to main content
GET
List security roles
A set of permissions that controls what members assigned to it can access in the workspace.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

modifiedAtAfter

A filter on the list based on the security role's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps after (>) the value specified.

modifiedAtOnAfter

A filter on the list based on the security role's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps on and after (>=) the value specified.

modifiedAtBefore

A filter on the list based on the security role's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps before (<) the value specified.

modifiedAtOnBefore

A filter on the list based on the security role's modifiedAt field. Accepts an ISO 8601 date or datetime. This will match timestamps on and before (<=) the value specified.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.